<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- creator-projects-debuggers.qdoc -->
  <title>Adding Debuggers | Qt Creator Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qt Creator Manual</a></td><td >Adding Debuggers</td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right"><a href="index.html">Qt Creator Manual 4.11.1</a></td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
  <link rel="prev" href="creator-tool-chains.html" />
  <link rel="next" href="creator-build-settings.html" />
<p class="naviNextPrevious headerNavi">
<a class="prevPage" href="creator-tool-chains.html">Adding Compilers</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-build-settings.html">Specifying Build Settings</a>
</p><p/>
<div class="sidebar"><div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">Adding Debuggers</h1>
<span class="subtitle"></span>
<!-- $$$creator-debuggers.html-description -->
<div class="descr"> <a name="details"></a>
<p>The Qt Creator debugger plugin acts as an interface between the Qt Creator core and external native debuggers such as the GNU Symbolic Debugger (GDB), the Microsoft Console Debugger (CDB), a QML/JavaScript debugger, and the debugger of the low level virtual machine (LLVM) project, LLDB.</p>
<p>The debugger plugin automatically selects a suitable native debugger for each <a href="creator-glossary.html#glossary-buildandrun-kit">kit</a> from the ones found on your system. To override this choice, select <b>Tools</b> &gt; <b>Options</b> &gt; <b>Kits</b>.</p>
<p>To add debuggers:</p>
<ol class="1" type="1"><li>Select <b>Tools</b> &gt; <b>Options</b> &gt; <b>Kits</b> &gt; <b>Debuggers</b> &gt; <b>Add</b>.<p class="centerAlign"><img src="images/qtcreator-options-build-run-debuggers.png" alt="" /></p></li>
<li>In the <b>Name</b> field, give a descriptive name for the debugger.</li>
<li>In the <b>Path</b> field, specify the path to the debugger binary:<ul>
<li>For CDB (Windows only), specify the path to the Windows Console Debugger executable.</li>
<li>For GDB, specify the path to the GDB executable. The executable must be built with Python scripting support enabled.</li>
<li>For LLDB (experimental), specify the path to the LLDB executable.</li>
</ul>
<p>Qt Creator attempts to identify the type and version of the debugger and shows them in the <b>Type</b> and <b>Version</b> fields. In addition, Qt Creator shows the ABI version that will be used on embedded devices in the <b>ABIs</b> field.</p>
</li>
<li>In the <b>Working directory</b> field, specify the working directory of the application process. If the application is run locally, the working directory defaults to the build directory. If the application is run remotely on a device, the value depends on the shell or the device. Usually, you can leave this field empty.</li>
</ol>
<p>To remove the selected manually added debugger, select <b>Remove</b>. The debugger is removed from the list when you select <b>Apply</b>. Until then, you can cancel the deletion by clicking <b>Restore</b>.</p>
</div>
<!-- @@@creator-debuggers.html -->
<p class="naviNextPrevious footerNavi">
<a class="prevPage" href="creator-tool-chains.html">Adding Compilers</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-build-settings.html">Specifying Build Settings</a>
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2019 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
